- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GPop::ServerProtocolText Class Reference

A default implementation for the ServerProtocol::Text interface. More...

`#include <gpopserverprotocol.h>`

Inheritance diagram for GPop::ServerProtocolText:

## Public Member Functions
| ServerProtocolText (GNet::Address peer)
| Constructor. More...
virtual std::string | greeting () const
| Final override from GPop::ServerProtocol::Text. More...
virtual std::string | quit () const
| Final override from GPop::ServerProtocol::Text. More...
virtual std::string | capa () const
| Final override from GPop::ServerProtocol::Text. More...
virtual std::string | user (const std::string &id) const
| Final override from GPop::ServerProtocol::Text. More...
Public Member Functions inherited from GPop::ServerProtocol::Text
virtual | ~Text ()

## Detailed Description

A default implementation for the ServerProtocol::Text interface.

Definition at line 212 of file gpopserverprotocol.h.

## Constructor & Destructor Documentation

GPop::ServerProtocolText::ServerProtocolText | ( | GNet::Address | peer | ) |
| explicit

Constructor.

Definition at line 586 of file gpopserverprotocol.cpp.

## Member Function Documentation

std::string GPop::ServerProtocolText::capa | ( |  | ) | const
| virtual

Final override from GPop::ServerProtocol::Text.

Implements GPop::ServerProtocol::Text.

Definition at line 600 of file gpopserverprotocol.cpp.

std::string GPop::ServerProtocolText::greeting | ( |  | ) | const
| virtual

Final override from GPop::ServerProtocol::Text.

Implements GPop::ServerProtocol::Text.

Definition at line 590 of file gpopserverprotocol.cpp.

std::string GPop::ServerProtocolText::quit | ( |  | ) | const
| virtual

Final override from GPop::ServerProtocol::Text.

Implements GPop::ServerProtocol::Text.

Definition at line 595 of file gpopserverprotocol.cpp.

std::string GPop::ServerProtocolText::user | ( | const std::string & | id | ) | const
| virtual

Final override from GPop::ServerProtocol::Text.

Implements GPop::ServerProtocol::Text.

Definition at line 605 of file gpopserverprotocol.cpp.

The documentation for this class was generated from the following files:

- gpopserverprotocol.h
- gpopserverprotocol.cpp